package vut.msa.pojos;

import java.io.Serializable;
import vut.msa.interfaces.SelectItemable;

/**
 * Disk určený pre zálohovanie
 */
public class BackupDisk implements Serializable, SelectItemable{

    private String diskName;
    private float loadPercent;

    public BackupDisk() {
        this.diskName = "";
    }

    public BackupDisk(String name) {
        this.diskName = name;
    }

    //PROPERTY: name
    public String getDiskName() { return diskName; }
    public void setDiskName(String diskName) { this.diskName = diskName; }

    //PROPERTY: loadPercent
    public float getLoadPercent() { return loadPercent; }
    public void setLoadPercent(float loadPercent) { this.loadPercent = loadPercent; }

    //Z dovodu vytvorenia SelectListu
    public String getId() { return getDiskName();}
    public String getName() { return getDiskName();}

}
